Subject: [conex] Problem solved by draft-ietf-conex-mobile-00?

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Thu, 2 Aug 2012 00:05:46 +0200

I've not followed that draft in the past, sorry about that. But reading through it right now, I have a hard time of understanding it.

The use cases in section 3.1, 3.2, 3.3, and 3.4 do not seem to be very different to other access networks, except that they are described here in non-IETF terminology.

Also, I don't understand what is specific to mobile networks in Figure 2, 3, and 4. Figure 2 is basically about running conex outside the mobile network and thus not much specifc to mobile. Figure 3 seems to be an end-to-end path over the Internet, which is a full conex deployement and thus not specific to mobile neither.

The most interesting use case for partial deployment seems to be Figure 4. But in that case the document does not explain how conex would be terminated at the edge router of the mobile network (P-GW), and what would be the specific advantage of using this partial deployment in a 3GPP network.

I do understand that Wifi offloading would be a specific use case for mobile networks. To me, this looks similar to congestion-aware routing. But that use case requires a more detailed description how conex information would be used, and under which constraints it can actually be used. For instance, it is unclear to me whether dynamic congestion data as exposed by conex is robust enough for triggering handovers. This would really benefit from some real-world data. Congestion-aware routing does not come without risk, imho.

Thanks

Michael